Create Unit: Entrata
https://api.propexo.com/v1/units/entrata/| Method |
|---|
| propertyunits/sendPropertyUnits |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the lease period
The number of bathrooms associated with the unit
The number of bedrooms associated with the unit
The city associated with the unit
The country associated with the unit
The date that the unit becomes available
Whether the unit is furnished
The unit number
The square footage of the unit
The state associated with the unit
The first address line associated with the unit
The second address line associated with the unit
The zip code associated with the unit
The external ID of the floor plan
The external ID of the unit type
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the lease period
The number of bathrooms associated with the unit
The number of bedrooms associated with the unit
The city associated with the unit
The country associated with the unit
The date that the unit becomes available
Whether the unit is furnished
The unit number
The square footage of the unit
The state associated with the unit
The first address line associated with the unit
The second address line associated with the unit
The zip code associated with the unit
The external ID of the floor plan
The external ID of the unit type
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/units/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"lease_period_id": "string",
"city": "string",
"country": "string",
"date_available": "2024-07-29T15:51:28.071Z",
"number": "string",
"state": "string",
"street_address_1": "string",
"zip": "string",
"floor_plan_code": "string",
"unit_type_id": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"lease_period_id": "string",
"bathrooms": "string",
"bedrooms": "string",
"city": "string",
"country": "string",
"date_available": "2024-07-29T15:51:28.071Z",
"is_furnished": true,
"number": "string",
"square_feet": 0,
"state": "string",
"street_address_1": "string",
"street_address_2": "string",
"zip": "string",
"floor_plan_code": "string",
"unit_type_id": "string"
}
}